@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100

top to bottom direction
skinparam linetype ortho

entity AssetEntry {
   entryId: bigint(20)
   ctCollectionId: bigint(20)
--
   userId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   classUuid: varchar(75)
   classTypeId: bigint(20)
   mvccVersion: bigint(20)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   listable: tinyint(4)
   visible: tinyint(4)
   startDate: datetime(6)
   endDate: datetime(6)
   publishDate: datetime(6)
   expirationDate: datetime(6)
   mimeType: varchar(75)
   title: longtext
   description: longtext
   summary: longtext
   url: longtext
   layoutUuid: varchar(75)
   height: int(11)
   width: int(11)
   priority: double
}
entity Audit_AuditEvent {
   auditEventId: bigint(20)
--
   userId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   className: varchar(200) <PFK>
   classPK: varchar(75) <PFK>
   userName: varchar(200)
   createDate: datetime(6)
   eventType: varchar(75)
   message: longtext
   clientHost: varchar(255)
   clientIP: varchar(255)
   serverName: varchar(255)
   serverPort: int(11)
   sessionID: varchar(255)
   additionalInfo: longtext
}
entity Group_ {
   groupId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   creatorUserId: bigint(20)
   modifiedDate: datetime(6)
   classNameId: bigint(20)
   classPK: bigint(20)
   parentGroupId: bigint(20)
   liveGroupId: bigint(20)
   treePath: longtext
   groupKey: varchar(150)
   name: longtext
   description: longtext
   type_: int(11)
   typeSettings: longtext
   manualMembership: tinyint(4)
   membershipRestriction: int(11)
   friendlyURL: varchar(255)
   site: tinyint(4)
   remoteStagingGroupCount: int(11)
   inheritContent: tinyint(4)
   active_: tinyint(4)
}
entity LayoutSet {
   layoutSetId: bigint(20)
   ctCollectionId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   privateLayout: tinyint(4)
   logoId: bigint(20)
   themeId: varchar(75)
   colorSchemeId: varchar(75)
   faviconFileEntryId: bigint(20)
   css: longtext
   settings_: longtext
   layoutSetPrototypeUuid: varchar(75)
   layoutSetPrototypeLinkEnabled: tinyint(4)
}
class Organization_ {
   organizationId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   parentOrganizationId: bigint(20)
   treePath: longtext
   name: varchar(100)
   type_: varchar(75)
   recursable: tinyint(4)
   regionId: bigint(20)
   countryId: bigint(20)
   statusListTypeId: bigint(20)
   comments: longtext
   logoId: bigint(20)
}
entity ResourcePermission {
   resourcePermissionId: bigint(20)
   ctCollectionId: bigint(20)
   --
   roleId: bigint(20) <FK>
   ownerId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   name: varchar(255)
   scope: int(11)
   primKey: varchar(255)
   primKeyId: bigint(20)
   actionIds: bigint(20)
   viewActionId: tinyint(4)
}
class UserGroupRole {
   userGroupRoleId: bigint(20)
   ctCollectionId: bigint(20)
   --
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   roleId: bigint(20) <FK>
   mvccVersion: bigint(20)
}

AssetEntry }o-right-o| Organization_:ClassPk-OrganizationId
Audit_AuditEvent }o--o| Organization_:ClassPk-OrganizationId
Group_ }o--o| Organization_:ClassPk
ResourcePermission }o--o| Organization_:PrimKey-OrganizationId
UserGroupRole }o--|| Group_:GroupId
LayoutSet }o--|| Group_:GroupId
@enduml
